# Errors reported to the client

## SYNOPSIS

#include <libgearman/gearman.h>

const char *gearman_client_error(const gearman_client_st *client)

int gearman_client_errno(gearman_client_st *client)

Ling with -lgearman

## DESCRIPTION

`gearman_client_error()` and `gearman_client_errno()` report on the last errors that the client reported/stored in `gearman_client_st`. If you are interested in recording all errors please see `gearman_client_set_log_fn()`.

## RETURN VALUE

`gearman_client_errno()` returns the last errno that the client recorded.

## HOME

To find out more information please check: http://gearman.info/

See also

gearmand(8) libgearman(3)